<?php
define('WP_INSTALLING', true);
//These two defines are required to allow us to use require_wp_db() to load the database class while being wp-content/wp-db.php aware
define('ABSPATH', dirname(dirname(__FILE__)).'/');
define('WPINC', 'wp-includes');

require_once('../wp-includes/compat.php');
require_once('../wp-includes/functions.php');
require_once('../wp-includes/classes.php');

if (!file_exists('../wp-config-sample.php'))
	wp_die('Spiacente, mi serve un file wp-config-sample.php su cui lavorare. Per favore ricarica questo file dalla installazione di WordPress.');

$configFile = file('../wp-config-sample.php');

if ( !is_writable('../'))
	wp_die("Spiacente, non posso scrivere la directory. Devi cambiare i permessi sulla directory di WordPress o creare il file wp-config.php manualmente.");

// Check if wp-config.php has been created
if (file_exists('../wp-config.php'))
	wp_die("<p>Il file 'wp-config.php' &egrave; gi&agrave; presente. Se desideri azzerare un qualsiasi elemento di configurazione di questo file, per prima cosa cancella il file. Ora puoi provare a <a href='install.php'>installare</a>.</p>");

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

function display_header(){
	header( 'Content-Type: text/html; charset=utf-8' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>WordPress &rsaquo; Impostazione File di Configurazione</title>
<link rel="stylesheet" href="<?php echo $admin_dir; ?>css/install.css" type="text/css" />

</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//end function display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Benvenuto in WordPress. Prima di iniziare ci occorrono alcune informazioni sul database. Dovrai conoscere i seguenti elementi prima di procedere.</p>
<ol>
	<li>Nome del database</li>
	<li>Username del database</li>
	<li>Password del database</li>
	<li>Host del database</li>
	<li>Prefisso tabella (se si desidera eseguire diverse istanze di WordPress con un solo database) </li>
</ol>
<p><strong>Se per qualsiasi ragione la creazione automatica del file non funzionasse non preoccuparti. Tutto quello che si deve fare &egrave; immettere le informazioni sul database in un file di configurazione. Puoi anche semplicemente aprire il file <code>wp-config-sample.php</code> con un editor di testo, immettere le informazioni e salvare il file come <code>wp-config.php</code>. </strong></p>
<p>In ogni caso, queste informazioni ti vengono fornite dal tuo ISP. Se non disponi di tali informazioni, allora dovrai contattarlo prima di proseguire. Se sei pronto <a href="setup-config.php?step=1">iniziamo</a>! </p>

<p><a href="setup-config.php?step=1" class="button">Partiamo!</a></p>
<?php
	break;

	case 1:
		display_header();
	?>
<form method="post" action="setup-config.php?step=2">
	<p>Di seguito devi immettere li dettagli della connessione al database. Se non sei sicuro riguardo a questi dati, contatta il tuo fornitore di hosting. </p>
	<table class="form-table">
		<tr>
			<th scope="row">Nome del database</th>
			<td><input name="dbname" type="text" size="25" value="wordpress" /></td>
			<td>Il nome del database da usare per far funzionare WP. </td>
		</tr>
		<tr>
			<th scope="row">Username del database</th>
			<td><input name="uname" type="text" size="25" value="username" /></td>
			<td>Lo username MySQL</td>
		</tr>
		<tr>
			<th scope="row">Password</th>
			<td><input name="pwd" type="text" size="25" value="password" /></td>
			<td>...e la password MySQL.</td>
		</tr>
		<tr>
			<th scope="row">Host del database</th>
			<td><input name="dbhost" type="text" size="25" value="localhost" /></td>
			<td>al 99% non dovrai cambiare questa impostazione.</td>
		</tr>
		<tr>
			<th scope="row">Prefisso tabella</th>
			<td><input name="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>Se vuoi eseguire pi&ugrave; istanze di WordPress con un singolo database, modifica questo valore.</td>
		</tr>
	</table>
	<h2 class="step">
	<input name="submit" type="submit" value="Invia" class="button" />
	</h2>
</form>
<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Test the db connection.
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);

	// We'll fail here if the values are no good.
	require_wp_db();
	if ( !empty($wpdb->error) )
		wp_die($wpdb->error->get_error_message());

	$handle = fopen('../wp-config.php', 'w');

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("putyourdbnamehere", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'usernamehere'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'yourpasswordhere'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			default:
				fwrite($handle, $line);
		}
	}
	fclose($handle);
	chmod('../wp-config.php', 0666);

	display_header();
?>
<p>Tutto a posto amico! Hai superato questa fase della installazione. Ora WordPress pu&ograve; comunicare con il database. Se sei pronto ora &egrave; il momento di <a href="install.php">eseguire la installazione!</a></p>

<p><a href="install.php" class="button">Avvia installazione</a></p>
<?php
	break;
}
?>
</body>
</html>
